clear
format LONGG

cd 'G:\Public Economics\Forschung\GRW Projekt\Revision 2 JIE\matlab\data\CreateData'
path='G:\Public Economics\Forschung\GRW Projekt\Revision 2 JIE\matlab\data\CreateData'

year='2013' %year = { 1993, 1999, 2006, 2013 }
loadData;

n=size(L0,1);
PARA = parameters();

%
% Calculating PPML-TradeCost
%
prepare

%
%Trim Data
%
if year=='1993'
   transfers_tot =zeros(n,1);
end

%
% Data Availability
%
droad0=reshape(droad0,[n,n]);
table(regions,L0,H0,tradebalance,transfers_tot,droad0(:,2))

for i=1:n
    DeleteNANData;
    if sum(sum(te))==0
        i=n;
    end
end

AAA=repmat(regions,[1,n]);
i_ind=reshape(AAA,[n*n,1]);
j_ind=reshape(AAA',[n*n,1]);

T = table(i_ind,j_ind,reshape(PolygonNeig,[n*n,1]));
T.Properties.VariableNames = {'Region1' 'Region2' 'ind'};
writetable(T,[path '\output\xls\neig.xlsx']);

%
% Trade Costs
%
PARA.PolygonNeig=PolygonNeig(1:n,1:n);
PARA.droad0=droad0(1:n,1:n);

tinf0 = exp(PARA.kappa_AA.*PARA.PolygonNeig.*PARA.droad0);
tinf0(PARA.PolygonNeig==0)=inf;
d0=TradeCosts(tinf0,PARA);
sort(unique(d0),'descend');
[min(min(d0)), max(max(d0))]

%
% Show that other trade costs get same results
%
checkTradeCosts

%
% Estimation of Allen and Arkolakis Kappa^t
%
if strcmp(year,'2013')
    estimateKAPPAt
end

PARA.NumOfLinks=sum(PARA.PolygonNeig,2);
lambda0=L0./sum(L0);

clearvars Non* FE* GDP AAA T ans dataimport* ddist0_Yash i i_ind j_ind m2_init tair trail troad tsea te temp temp_id tex tey
clearvars B LS LSL Residual Trade Trade_imean Trade_jmean a d0_AA d0_PPML d0_dist dni* f i gi* gj gm ii j tinf0 x_hat path B1
clearvars path filename kappa_AA_loop kappa_AA_loopL kappa_AA_loopLL maxdni mindni factor 

save ([pwd '\output\mat\Data' year '.mat'])

